/*
 * Segment 6 Intelligente Bewertungsverfahren, SWE 6.1 Stauverlaufsanalyse
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.ibv.anastau.progstau;

import de.bsvrz.sys.funclib.bitctrl.util.UndefiniertException;

/**
 * Schnittstelle für eine Klasse zur Ermittlung der Zuflussmenge an einem
 * Stauobjekt.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
public interface ISvpZuflussMenge {
	/**
	 * liefert die Menge des zufließenden Verkehrs zum angegebenen Zeitpunkt.
	 *
	 * @param zeitPunkt
	 *            der Zeitpunkt
	 * @return die ermittelte Menge
	 * @throws UndefiniertException
	 *             es konnte kein Wert für den Zufluss ermittelt werden
	 */
	double getZuflussMenge(long zeitPunkt) throws UndefiniertException;
}
